<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: Program Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classProgram-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Program Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Program_8h_source.html">Program.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab73390c4cc140df2fb4bbedb245352f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#ab73390c4cc140df2fb4bbedb245352f9">Run</a> ()</td></tr>
<tr class="separator:ab73390c4cc140df2fb4bbedb245352f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1515a652ea2dd615d323b46cbf9237fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#a1515a652ea2dd615d323b46cbf9237fc">SetDataPath</a> (std::string path)</td></tr>
<tr class="separator:a1515a652ea2dd615d323b46cbf9237fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab3d8d2cc40f97db926e4dedfa915dbe6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#ab3d8d2cc40f97db926e4dedfa915dbe6">ReadMessages</a> ()</td></tr>
<tr class="separator:ab3d8d2cc40f97db926e4dedfa915dbe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878c650e971241adee0ccbc5e2647eee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#a878c650e971241adee0ccbc5e2647eee">ProcessMessages</a> ()</td></tr>
<tr class="separator:a878c650e971241adee0ccbc5e2647eee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa29d1b2235e06e44f883b032e16af062"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#aa29d1b2235e06e44f883b032e16af062">SaveResults</a> ()</td></tr>
<tr class="separator:aa29d1b2235e06e44f883b032e16af062"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac63173f49118891ec21b7c38fb0d4007"><td class="memItemLeft" align="right" valign="top">std::queue&lt; <a class="el" href="classMessage.html">Message</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#ac63173f49118891ec21b7c38fb0d4007">m_messageQueue</a></td></tr>
<tr class="separator:ac63173f49118891ec21b7c38fb0d4007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f599dd0344a70179cb173c4b21e5af9"><td class="memItemLeft" align="right" valign="top">std::stack&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#a9f599dd0344a70179cb173c4b21e5af9">m_workingStack</a></td></tr>
<tr class="separator:a9f599dd0344a70179cb173c4b21e5af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af474ec3eff7c0ecbee8f764c22977ee6"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classSandwich.html">Sandwich</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#af474ec3eff7c0ecbee8f764c22977ee6">m_results</a></td></tr>
<tr class="separator:af474ec3eff7c0ecbee8f764c22977ee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a432066d483b07fd214d68c43a1d514"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#a6a432066d483b07fd214d68c43a1d514">m_dataPath</a></td></tr>
<tr class="separator:a6a432066d483b07fd214d68c43a1d514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cbe61dc859b20b0922568242bceddbc"><td class="memItemLeft" align="right" valign="top">std::ofstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classProgram.html#a9cbe61dc859b20b0922568242bceddbc">m_log</a></td></tr>
<tr class="separator:a9cbe61dc859b20b0922568242bceddbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a878c650e971241adee0ccbc5e2647eee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a878c650e971241adee0ccbc5e2647eee">&#9670;&nbsp;</a></span>ProcessMessages()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Program::ProcessMessages </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3d8d2cc40f97db926e4dedfa915dbe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3d8d2cc40f97db926e4dedfa915dbe6">&#9670;&nbsp;</a></span>ReadMessages()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Program::ReadMessages </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab73390c4cc140df2fb4bbedb245352f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab73390c4cc140df2fb4bbedb245352f9">&#9670;&nbsp;</a></span>Run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Program::Run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa29d1b2235e06e44f883b032e16af062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa29d1b2235e06e44f883b032e16af062">&#9670;&nbsp;</a></span>SaveResults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Program::SaveResults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1515a652ea2dd615d323b46cbf9237fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1515a652ea2dd615d323b46cbf9237fc">&#9670;&nbsp;</a></span>SetDataPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Program::SetDataPath </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6a432066d483b07fd214d68c43a1d514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a432066d483b07fd214d68c43a1d514">&#9670;&nbsp;</a></span>m_dataPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Program::m_dataPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9cbe61dc859b20b0922568242bceddbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cbe61dc859b20b0922568242bceddbc">&#9670;&nbsp;</a></span>m_log</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ofstream Program::m_log</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac63173f49118891ec21b7c38fb0d4007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac63173f49118891ec21b7c38fb0d4007">&#9670;&nbsp;</a></span>m_messageQueue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::queue&lt;<a class="el" href="classMessage.html">Message</a>&gt; Program::m_messageQueue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af474ec3eff7c0ecbee8f764c22977ee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af474ec3eff7c0ecbee8f764c22977ee6">&#9670;&nbsp;</a></span>m_results</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classSandwich.html">Sandwich</a>&gt; Program::m_results</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f599dd0344a70179cb173c4b21e5af9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f599dd0344a70179cb173c4b21e5af9">&#9670;&nbsp;</a></span>m_workingStack</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::stack&lt;std::string&gt; Program::m_workingStack</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>Program/<a class="el" href="Program_8h_source.html">Program.h</a></li>
<li>Program/<a class="el" href="Program_8cpp.html">Program.cpp</a></li>
<li>Project_CodeBlocks/<a class="el" href="Project__CodeBlocks_2log_8txt.html">log.txt</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
